### Method

# Gcr Parser parse_bytes

#### Declaration [src]

    gboolean
    gcr_parser_parse_bytes (
      GcrParser* self,
      GBytes* data,
      GError** error
    )

#### Description [src]

Parse the data. The `GcrParser::parsed` and `GcrParser::authenticate` signals may fire during the parsing.

#### Parameters

`data` | `GBytes`
| The data to parse.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the data was parsed successfully or not.